/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.entidad;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import javax.persistence.Basic;
import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.OneToMany;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 *
 * @author Rafael
 */
@Entity
@SequenceGenerator(name = "PTOVTA_COMISSAO_SEQ", sequenceName = "PTOVTA_COMISSAO_SEQ", allocationSize = 1)
@Table(name = "PTOVTA_COMISSAO")
public class PtovtaComissao implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @GeneratedValue(strategy = GenerationType.AUTO, generator = "PTOVTA_COMISSAO_SEQ")
    @Column(name = "PTOVTACOMISSAO_ID")
    private Integer ptovtaComissaoId;
   
    @Column(name = "ISSRETIDO")
    private BigDecimal issretido;
   
    @Column(name = "ROYALTIES")
    private BigDecimal royalties;
   
    @Column(name = "ENVIARRECIBO")
    private Boolean enviarRecibo;
    
    @Column(name = "RECEITA")
    private String receita;
    
    @Column(name = "CODAG")
    private int codag;

//    @Column(name = "DESTINO_ID")
//    private String destinoId;
    
    @Column(name = "PASSAGEMALTA")
    private BigDecimal passagemAlta;
    
    @Column(name = "PASSAGEMBAIXA")
    private BigDecimal passagemBaixa;
    
    @Column(name = "SEGUROALTA")
    private BigDecimal  seguroAlta;
    
    @Column(name = "SEGUROBAIXA")
    private BigDecimal seguroBaixa;
    
    @Column(name = "OUTROSBAIXA")
    private BigDecimal outrosBaixa;
    
    @Column(name = " OUTROSALTA")
    private BigDecimal outrosAlta;
    
    @Column(name = "EXCESSOALTA")
    private BigDecimal excessoAlta;
    
    @Column(name = "EXCESSOBAIXA")
    private BigDecimal excessoBaixa;
    
    @Column(name = "TARIFARECEITA")
    private Boolean tarifaReceita;
    
    @Column(name = " SEGURORECEITA")
    private Boolean seguroReceita;
    
    @Column(name = "TAXARECEITA")
    private Boolean taxaReceita;
    
    @Column(name = "PEDAGIORECEITA")
    private Boolean pedagioReceita;
    
    @Column(name = " TARIFADEV")
    private Boolean tarifaDev;
    
    @Column(name = " SEGURO_DEV")
    private Boolean seguroDev;
    
    @Column(name = "TAXADEV")
    private Boolean taxaDev;
    
    @Column(name = "PEDAGIODEV")
    private Boolean pegagioDev;
    
    @Column(name = "ACTIVO")
    private Boolean activo;
  
    @Column(name = "FECMODIF")
    @Temporal(TemporalType.TIMESTAMP)
    private Date fecmodif;
    
    @Column(name = "USUARIO_ID")
    private int usuarioId;
    
   
    
    @JoinColumn(name = "PUNTOVENTA_ID", referencedColumnName = "PUNTOVENTA_ID")
    @ManyToOne
    private PuntoVenta puntoventaId;

    public PtovtaComissao() {
    }

    public PtovtaComissao(Integer ptovtaComissaoId) {
        this.ptovtaComissaoId = ptovtaComissaoId;
    }
    
    public PtovtaComissao(Integer ptovtaComissaoId, BigDecimal issretido, BigDecimal royalties, Boolean enviarrecibo, String receita, int codag, BigDecimal passagemAlta, BigDecimal passagemBaixa, BigDecimal seguroAlta, BigDecimal seguroBaixa, BigDecimal outrosBaixa, BigDecimal outrosAlta, BigDecimal excessoAlta, BigDecimal excessoBaixa, Boolean tarifaReceita, Boolean seguroReceita, Boolean taxaReceita, Boolean pedagioReceita, Boolean tarifaDev, Boolean seguroDev, Boolean taxaDev, Boolean pegagioDev, Boolean activo, Date fecmodif, int usuarioId) {
		super();
		this.ptovtaComissaoId = ptovtaComissaoId;
		this.issretido = issretido;
		this.royalties = royalties;
		this.enviarRecibo = enviarrecibo;
		this.receita = receita;
		this.codag = codag;
		//this.destinoId = destinoId;
		this.passagemAlta = passagemAlta;
		this.passagemBaixa = passagemBaixa;
		this.seguroAlta = seguroAlta;
		this.seguroBaixa = seguroBaixa;
		this.outrosBaixa = outrosBaixa;
		this.outrosAlta = outrosAlta;
		this.excessoAlta = excessoAlta;
		this.excessoBaixa = excessoBaixa;
		this.tarifaReceita = tarifaReceita;
		this.seguroReceita = seguroReceita;
		this.taxaReceita = taxaReceita;
		this.pedagioReceita = pedagioReceita;
		this.tarifaDev = tarifaDev;
		this.seguroDev = seguroDev;
		this.taxaDev = taxaDev;
		this.pegagioDev = pegagioDev;
		this.activo = activo;
		this.fecmodif = fecmodif;
		this.usuarioId = usuarioId;
	}

    private static List<String> receitaList = new ArrayList<String>();
    
    static{
    	receitaList.add("BRUTA");
    	receitaList.add("LQUIDA");
         
    	
    }
    

   

	public Integer getPtovtaComissaoId() {
		return ptovtaComissaoId;
	}

	public void setPtovtaComissaoId(Integer ptovtaComissaoId) {
		this.ptovtaComissaoId = ptovtaComissaoId;
	}

	public BigDecimal getIssretido() {
        return issretido;
    }

    public void setIssretido(BigDecimal issretido) {
        this.issretido = issretido;
    }

    public BigDecimal getRoyalties() {
        return royalties;
    }

    public void setRoyalties(BigDecimal royalties) {
        this.royalties = royalties;
    }

    public Boolean getEnviarrecibo() {
        return enviarRecibo;
    }

    public void setEnviarrecibo(Boolean enviarRecibo) {
        this.enviarRecibo = enviarRecibo;
    }

    public String getReceita() {
        return receita;
    }

    public void setReceita(String receita) {
        this.receita = receita;
    }

    public int getCodag() {
        return codag;
    }

    public void setCodag(int codag) {
        this.codag = codag;
    }

//    public String getDestinoId() {
//        return destinoId;
//    }
//
//    public void setDestinoId(String destinoId) {
//        this.destinoId = destinoId;
//    }

    public BigDecimal getPassagemAlta() {
		return passagemAlta;
	}

	public void setPassagemAlta(BigDecimal passagemAlta) {
		this.passagemAlta = passagemAlta;
	}

	public BigDecimal getPassagemBaixa() {
		return passagemBaixa;
	}

	public void setPassagemBaixa(BigDecimal passagemBaixa) {
		this.passagemBaixa = passagemBaixa;
	}

	public BigDecimal getSeguroAlta() {
		return seguroAlta;
	}

	public void setSeguroAlta(BigDecimal seguroAlta) {
		this.seguroAlta = seguroAlta;
	}

	public BigDecimal getSeguroBaixa() {
		return seguroBaixa;
	}

	public void setSeguroBaixa(BigDecimal seguroBaixa) {
		this.seguroBaixa = seguroBaixa;
	}

	public BigDecimal getOutrosBaixa() {
		return outrosBaixa;
	}

	public void setOutrosBaixa(BigDecimal outrosBaixa) {
		this.outrosBaixa = outrosBaixa;
	}

	public BigDecimal getOutrosAlta() {
		return outrosAlta;
	}

	public void setOutrosAlta(BigDecimal outrosAlta) {
		this.outrosAlta = outrosAlta;
	}

	public BigDecimal getExcessoAlta() {
		return excessoAlta;
	}

	public void setExcessoAlta(BigDecimal excessoAlta) {
		this.excessoAlta = excessoAlta;
	}

	public BigDecimal getExcessoBaixa() {
		return excessoBaixa;
	}

	public void setExcessoBaixa(BigDecimal excessoBaixa) {
		this.excessoBaixa = excessoBaixa;
	}

	public Boolean getTarifaReceita() {
		return tarifaReceita;
	}

	public void setTarifaReceita(Boolean tarifaReceita) {
		this.tarifaReceita = tarifaReceita;
	}

	public Boolean getSeguroReceita() {
		return seguroReceita;
	}

	public void setSeguroReceita(Boolean seguroReceita) {
		this.seguroReceita = seguroReceita;
	}

	public Boolean getTaxaReceita() {
		return taxaReceita;
	}

	public void setTaxaReceita(Boolean taxaReceita) {
		this.taxaReceita = taxaReceita;
	}

	public Boolean getPedagioReceita() {
		return pedagioReceita;
	}

	public void setPedagioReceita(Boolean pedagioReceita) {
		this.pedagioReceita = pedagioReceita;
	}

	public Boolean getTarifaDev() {
		return tarifaDev;
	}

	public void setTarifaDev(Boolean tarifaDev) {
		this.tarifaDev = tarifaDev;
	}

	public Boolean getSeguroDev() {
		return seguroDev;
	}

	public void setSeguroDev(Boolean seguroDev) {
		this.seguroDev = seguroDev;
	}

	public Boolean getTaxaDev() {
		return taxaDev;
	}

	public void setTaxaDev(Boolean taxaDev) {
		this.taxaDev = taxaDev;
	}

	public Boolean getPegagioDev() {
		return pegagioDev;
	}

	public void setPegagioDev(Boolean pegagioDev) {
		this.pegagioDev = pegagioDev;
	}

	public Boolean getActivo() {
        return activo;
    }

    public void setActivo(Boolean activo) {
        this.activo = activo;
    }

    public Date getFecmodif() {
        return fecmodif;
    }

    public void setFecmodif(Date fecmodif) {
        this.fecmodif = fecmodif;
    }

    public int getUsuarioId() {
        return usuarioId;
    }

    public void setUsuarioId(int usuarioId) {
        this.usuarioId = usuarioId;
    }

   

    public PuntoVenta getPuntoventaId() {
        return puntoventaId;
    }

    public void setPuntoventaId(PuntoVenta puntoventaId) {
        this.puntoventaId = puntoventaId;
    }
    
    
    public static List<String> getReceitaList() {
		return receitaList;
	}

	public static void setReceitaList(List<String> receitaList) {
		PtovtaComissao.receitaList = receitaList;
	}

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (ptovtaComissaoId != null ? ptovtaComissaoId.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof PtovtaComissao)) {
            return false;
        }
        PtovtaComissao other = (PtovtaComissao) object;
        if ((this.ptovtaComissaoId == null && other.ptovtaComissaoId != null) || (this.ptovtaComissaoId != null && !this.ptovtaComissaoId.equals(other.ptovtaComissaoId))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.rjconsultores.ventaboletos.entidad.PtovtaComissao[ ptovtaComissaoId=" + ptovtaComissaoId + " ]";
    }
    
}
